Subject: bug#18807: seq does not play nice with large 64 bit integers

From: Thaddaeus Frogley <[email-masked]>
Date: Thu, 23 Oct 2014 15:32:21 +0100

You are correct, my apologies! I was still using the default seq, not gseq
installed by brew!

How embarrassing. Thanks for the help!

Thad

On 23 October 2014 15:29, Pádraig Brady <[email-masked]> wrote:

> On 10/23/2014 03:15 PM, Thaddaeus Frogley wrote:
> > Hi Padraig,
> >
> > You say "quite a while".
> >
> > This issue was found in: coreutils-8.23_1
>
> Oh, it should have been fixed from release 8.20 (2012-10-23)
>
> >
> > Installed on OS X using brew.
> >
> > Pulling the current source I can see there have been several releases
> since then, but a git diff / log doesn't seem to produce any relevant
> changes, i.e.:
> >
> > git diff v8.23.. -- src/seq.c
> >
> >
> > Are you *sure* that this range in particular doesn't reproduce in the
> latest?
>
> Yes. That range triggers the fast string manipulation code here.
> It's very surprising it doesn't there.
>
> I see that seq is on OS X:
>
> https://developer.apple.com/library/mac/documentation/Darwin/Reference/ManPages/man1/seq.1.html
> So please ensure you're not using the native seq, and rather gseq
>
> If still an issue, you'd need to debug it further there
> as I've not got access to OS X here.
>
> thanks,
> Pádraig.
>
>